Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229381 - "Make and Model" highlighted without reason
Summary: "Make and Model" highlighted without reason
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2007-02-20 19:06 UTC by Jan Hutař
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.7.52.1-2.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 17:09:56 UTC


Attachments (Terms of Use)

Description Jan Hutař 2007-02-20 19:06:19 UTC
Description of problem:
Remote printer "Make and Model" is selected in some case while there is no 
apparent reason why. This happens only when doing exactly these steps as below.


Version-Release number of selected component (if applicable):
system-config-printer-0.7.52-1.fc7
cups-1.2.8-1.fc7
fedora-release-6.90-3


How reproducible:
always


Steps to Reproduce:
1. select some remote printer
2. select "Job Options"
3. select "Settings"


Actual results:
"Make and Model" field is highlighted


Expected results:
nothing highlighted


Additional info:
I just thing this could be a little confusing for the user and seems weird to 
me - if this seems completely ridiculously to you, please throw this away :-)

Comment 1 Tim Waugh 2007-02-21 11:13:43 UTC
Hmm, can't really think of a good way to fix this other than making the
'description' and 'location' fields sensitive but not editable.  How does that
sound?

Comment 2 Jan Hutař 2007-02-21 13:02:36 UTC
From my point of view it is bad when I can't copy&paste anything, so sounds 
wrong to me :) I thought this is some simple typo - was just surprised it 
happens only when exactly do <see steps above>. Please close a bug if that is a 
only solution.

Comment 3 Tim Waugh 2007-02-21 13:17:43 UTC
Can you tell me what you were trying to copy and paste, when you found you
weren't able to?  Perhaps that would shed light on a different solution.

Comment 4 Jan Hutař 2007-02-21 13:48:19 UTC
Sorry for misunderstanding: I wasn't trying to copy&paste anything - and that 
is the problem. Thing is, that while I want not copy&paste anything, "Make and 
Model:" (in "Remote printers") is selected (and so goes into clipboard).

Comment 5 Tim Waugh 2007-02-21 16:32:04 UTC
Okay, I've made the change indicated in comment #1 in CVS and it will be in the
next build.

Comment 6 Bill Nottingham 2007-03-02 17:45:21 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 7 Fedora Update System 2007-04-10 16:53:16 UTC
Fixed in update: system-config-printer-0.7.52.1-2.fc6.


Note You need to log in before you can comment on or make changes to this bug.